# Endpoint

**Endpoint:**

{% content-ref url="/pages/ivn3IWuh7XK7eWavHRnp" %}
[Cashout Feed](/odds88-client-api/odds88-feeds/cashout-feed.md)
{% endcontent-ref %}

Revision is **UNIX** timestamp seconds, in case you need to recover the availability of cashout and price value for existing bets. It can return data for max 3 days in past. But it will only return data for the bets that are in the subscription at the moment of connection.

{% hint style="warning" %}
The endpoint is rate-limited.
{% endhint %}

\
Stream message with cashout amount for a single bet:

```javascript
{
    playerId: "player1",
    betId: "id1",
    status: 1, //enum value, Available = 1, NotSupported = 2, CashedOut = 3
    reason: null, //string, reason if cashout is not available
    amount: {
        localAmount: 40000,
        precision: 4,
        currency: "USD",
    }
    timestamp: "2025-07-16T14:30:00Z",
}

```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.odds88.io/integration-process/recommended-integration-flow/optional-features/cashout-integration/endpoint.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
